Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Class RauditxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.ibm.jzos.RauditxException

All Implemented Interfaces:
  java.io.Serializable

    public class RauditxException

extends java.lang.RuntimeException

A customized RuntimeException to carry return codes for RAuditx errors.

See Also:
  Serialized Form

Constructor Summary
`RauditxException(int safReturnCode, int racfReturnCode, int racfReasonCode)` Construct a RAuditxException.

Method Summary
`java.lang.String` | `getMessage()` Get a message string to decribe the exception.
`int` | `getRacfReasonCode()`
`int` | `getRacfReturnCode()`
`int` | `getSafReturnCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RauditxException

    public RauditxException(int safReturnCode,
                            int racfReturnCode,
                            int racfReasonCode)

  Construct a RAuditxException.

  Parameters:
    `safReturnCode` - the SAF return code from the IRRSAX(00|64) callable service
    `racfReturnCode` - the RACF return code from the IRRSAX(00|64) callable service
    `racfReasonCode` - the RACF return code from the IRRSAX(00|64) callable service

Method Detail

### getMessage

    public java.lang.String getMessage()

  Get a message string to decribe the exception. This includes the original source message from the detecting routine, as well as errno, errno2, and last_op if errno is not 0.

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getSafReturnCode

    public int getSafReturnCode()

  Returns:
    int - the value of the IRRSAX(00|64) SAF return code

### getRacfReturnCode

    public int getRacfReturnCode()

  Returns:
    int - the value of the IRRSAX(00|64) RACF return code

### getRacfReasonCode

    public int getRacfReasonCode()

  Returns:
    int - the value of the IRRSAX(00|64) RACF return code

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD